> For the complete documentation index, see [llms.txt](https://user.netmera.com/netmera-developer-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/gdpr.md).

# GDPR

### Delete User

## deleteUsersPermanently

> Permanently deletes all user data from Netmera, including all associated devices,\
> profile attributes, events and records for the specified users.\
> \
> This operation is irreversible. Once deleted, the data cannot be recovered. The endpoint\
> is only available to accounts with data deletion access, which must be requested through\
> the Netmera panel.<br>

```json
{"openapi":"3.1.0","info":{"title":"Netmera REST API","version":"3.0"},"tags":[{"name":"Users","description":"Push permission management and permanent user deletion."}],"servers":[{"url":"https://restapi.netmera.com","description":"Netmera REST API"}],"security":[{"NetmeraApiKey":[]}],"components":{"securitySchemes":{"NetmeraApiKey":{"type":"apiKey","in":"header","name":"X-netmera-api-key","description":"REST API key. Available in the Netmera Panel under Developers > API.\n"}}},"paths":{"/rest/3.0/deleteUsersPermanently":{"post":{"operationId":"deleteUsersPermanently","tags":["Users"],"summary":"deleteUsersPermanently","description":"Permanently deletes all user data from Netmera, including all associated devices,\nprofile attributes, events and records for the specified users.\n\nThis operation is irreversible. Once deleted, the data cannot be recovered. The endpoint\nis only available to accounts with data deletion access, which must be requested through\nthe Netmera panel.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["extIds"],"properties":{"extIds":{"type":"array","description":"External user IDs to delete.","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"The deletion request was accepted. Returns no response body.\n"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/gdpr.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
